View a markdown version of this page

GetTestRun - Next generation Resilience Hub

GetTestRun

Retrieves a test run by ID, including its status, results, and the configuration snapshotted when the run started.

Request Syntax

GET /v2/get-test-run?serviceArn=serviceArn&testRunId=testRunId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

serviceArn

The ARN of the service the test run belongs to.

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

testRunId

The identifier of the test run to retrieve.

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "testRun": { "accountTargeting": "string", "endedAt": number, "errorMessage": "string", "eventCount": number, "experiments": [ { "details": "string", "experimentArn": "string" } ], "loggingConfiguration": { "cloudWatchLogGroupArn": "string", "logSchemaVersion": "string", "s3BucketName": "string" }, "parameters": { "string" : [ "string" ] }, "permissionModel": { "crossAccountRoles": [ { "crossAccountRoleArn": "string", "externalId": "string" } ], "invokerRoleName": "string" }, "policy": { "availabilitySlo": { "target": number }, "dataRecovery": { "timeBetweenBackupsInMinutes": number }, "multiAz": { "disasterRecoveryApproach": "string", "rpoInMinutes": number, "rtoInMinutes": number }, "multiRegion": { "disasterRecoveryApproach": "string", "rpoInMinutes": number, "rtoInMinutes": number }, "name": "string", "policyArn": "string" }, "regions": [ "string" ], "regionSwitchExecutionId": "string", "regionSwitchPlanArn": "string", "reportConfiguration": { "reportOutput": [ { ... } ] }, "reportOutput": { "assessmentId": "string", "createdAt": number, "reportOutput": { ... }, "reportType": "string", "serviceArn": "string", "status": "string", "testRunId": "string", "testTemplateArn": "string" }, "roleName": "string", "serviceArn": "string", "startedAt": number, "status": "string", "stopConditions": [ { "source": "string", "value": "string" } ], "testId": "string", "testRunId": "string", "testTemplateArn": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

testRun

The requested test run.

Type: TestRun object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: